--巅峰竞猜记录
Lua_PeakDuelGuessRecordWindow = class("Lua_PeakDuelGuessRecordWindow", Lua_Window)
function Lua_PeakDuelGuessRecordWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_PeakDuelGuessRecordWindow"
    self.skinName = "PeakDuelGuessRecordWindow_skin"
    self.showBlackMask = true
    self.isClickClose = true
end

function Lua_PeakDuelGuessRecordWindow:buildShowItem()
	self:superCall("buildShowItem")

    self:addLuaEvent("PEAK_DUEL_GUESS_RECORD", self, self.showGuessRecordInfo)
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDGuessRecord()
end

function Lua_PeakDuelGuessRecordWindow:dispose()
    if self.itemList then
        self.itemList:dispose()
        self.itemList = nil
    end
    self:superCall("dispose")
end

function Lua_PeakDuelGuessRecordWindow:showGuessRecordInfo(msg)
    if msg == nil or msg.guess_record_list == nil or #msg.guess_record_list <= 0 then
        self:showNone(true)
        if self.itemList then
            self.itemList:setEnable(false)
        end
    else
        if self.itemList == nil then
            self.itemList = Lua_DragList.new(self.content, 630, 710, Lua_AxisDefine.Vertical)
            self.itemList:setLocation(0, -60)
            self.itemList:setListCell(Lua_PeakDuelGuessRecordItem, 630, 148, 1)
            self.itemList:setCellSpacing(0, 5)
        end
        self.itemList:setEnable(true)
        self.itemList:setArrayData(msg.guess_record_list)
    end
end

function Lua_PeakDuelGuessRecordWindow:showNone(value)
    if value then
        if self.noneIcon == nil then
            self.noneIcon = UICreate.createImage(self.content, "/images/championship/xui_jys_widget_18.png", 0, -65, 0, 0);

            self.noneText = UICreate.createLabel(self.content, nil, -7, -117.5, 100, 40, 40);
            self.noneText.pivotValue = 4;
            self.noneText.fontName = Lua_MyUISettings.huakangFontName;
            self.noneText.alignmentValue = 4;
            self.noneText.horizontalOverflowValue = 1;
            self.noneText.colorStr = Lua_ColorDefine.transColorStr("7A6C74");
            self.noneText:setLangValue(540075);
        end
        self.noneIcon:setEnable(true);
        self.noneText:setEnable(true);
    else
        if self.noneIcon then
            self.noneIcon:setEnable(false);
            self.noneText:setEnable(false);
        end
    end
end













-- 竞猜记录
Lua_PeakDuelGuessRecordItem = class("Lua_PeakDuelGuessRecordItem", Lua_ListCell)
function Lua_PeakDuelGuessRecordItem:ctor(p)
    self:superCall("ctor", p,"PeakDuelGuessRecordItem_skin")
end

function Lua_PeakDuelGuessRecordItem:buildShowItem()
    self:superCall("buildShowItem")

    self.avatarItem1 = Lua_AvatarItem.new(self.content)
    self.avatarItem1:setSiblingIndex(1)
    self.avatarItem1:setScale(0.7, 0.7, 1)
    self.avatarItem1:setLocation(-238, 13, 0)

    self.avatarItem2 = Lua_AvatarItem.new(self.content)
    self.avatarItem2:setSiblingIndex(1)
    self.avatarItem2:setScale(0.7, 0.7, 1)
    self.avatarItem2:setLocation(-77, 13, 0)

    self.checkData:addClickFuntion(self, self.onCheckInfo)
    self.checkVideo:addClickFuntion(self, self.onCheckVideo)
end

function Lua_PeakDuelGuessRecordItem:dispose()
    if self.avatarItem1 then
        self.avatarItem1:dispose()
        self.avatarItem1 = nil
    end
    if self.avatarItem2 then
        self.avatarItem2:dispose()
        self.avatarItem2 = nil
    end
    self.data = nil
    self:superCall("dispose")
end

function Lua_PeakDuelGuessRecordItem:setData(data)
    self.data = data
    if data == nil then
        return
    end

    local role = data.attack_role.show_role
    self.avatarItem1:setRoleId(role.id, role.server_flag, data.attack_role.is_robot)
    self.avatarItem1:setRoleDressUp(role.dress_info)
    self.avatarItem1:setRoleLevel(role.level)
    if DataCenter.roleData:isSameServer(role.server_prev) then
        self.attName.text = role.name
    else
        self.attName.text = LanUtil.formateStr(10051, role.server_prev, role.name)
    end

    role = data.defence_role.show_role
    self.avatarItem2:setRoleId(role.id, role.server_flag, data.defence_role.is_robot)
    self.avatarItem2:setRoleDressUp(role.dress_info)
    self.avatarItem2:setRoleLevel(role.level)
    if DataCenter.roleData:isSameServer(role.server_prev) then
        self.defName.text = role.name
    else
        self.defName.text = LanUtil.formateStr(10051, role.server_prev, role.name)
    end

    self.timeText.text = LanUtil.formateStr(202956, tostring(data.attack_role_num), tostring(data.defence_role_num))
    self.sustainText.text = LanUtil.formateStr(202957, os.date("%H:%M", data.match_tick))

    if data.bet_id == 1 then
        self.guessIcon:setEnable(true)
        self.guessIcon:setLocation(-217, -13, 0)
    elseif data.bet_id == 2 then
        self.guessIcon:setEnable(true)
        self.guessIcon:setLocation(-52, -13, 0)
    else
        self.guessIcon:setEnable(false)
    end

    if data.win_id == 0 then
        self.resultIcon:setEnable(false)
    else
        self.resultIcon:setEnable(true)
        if data.win_id == 1 then
            self.resultIcon:setLocation(-267, 40, 0)
        else
            self.resultIcon:setLocation(-105, 40, 0)
        end
    end

    if data.bet_id == 0 then
        self.rewardLabel:setEnable(false)
    else
        self.rewardLabel:setEnable(true)
        if data.win_id == 0 then
            self.rewardLabel:setLangValue(202994)
        else
            self.rewardLabel:setLangValue(202958)
        end
    end

    if data.win_id == 0 or data.bet_id == 0 then
        self.rewardIcon:setEnable(false)
        self.rewardText:setEnable(false)
    else
        self.rewardIcon:setEnable(true)
        self.rewardText:setEnable(true)

        local reward
        if data.win_id == data.bet_id then
            reward = DataCenter.peakDuelUtil.guess_reward
        else
            reward = DataCenter.peakDuelUtil.guess_fail_reward
        end
        self.rewardText.text = reward[1][2]
    end
end

function Lua_PeakDuelGuessRecordItem:onCheckInfo(go)
    if self.data == nil or self.data.win_id == 0 then
        OperateAlert.showLangValue(202994)
        return
    end
    Lua_ProxyManager.getProxy("Lua_FightProxy"):sFightHurtCollect(self.data.record_id, 4)
end

function Lua_PeakDuelGuessRecordItem:onCheckVideo(go)
    if self.data == nil or self.data.win_id == 0 then
        OperateAlert.showLangValue(202994)
        return
    end
    Lua_ProxyManager.getProxy("Lua_FightProxy"):sFightReplay(self.data.record_id, 0, "", 0, 3)
end