-- 查看赛区
Lua_PeakDuelDivisionWindow = class("Lua_PeakDuelDivisionWindow", Lua_Window)
function Lua_PeakDuelDivisionWindow:ctor()
self:superCall("ctor")

	self.windowName = "Lua_PeakDuelDivisionWindow"
	self.skinName = "PeakDuelDivisionWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_PeakDuelDivisionWindow:buildShowItem()
	self:superCall("buildShowItem")

	self:addLuaEvent("PEAK_DUEL_DIVISION", self, self.onDivisionInfo)

	self.itemList = Lua_DragList.new(self.content, 630, 650, Lua_AxisDefine.Vertical)
	self.itemList:setLocation(0, -87, 0)
	self.itemList:setListCell(Lua_PeakDuelDivisionItem, 630, 120, 1)
	self.itemList:setCellSpacing(0, 5)

	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDDivision()
end

function Lua_PeakDuelDivisionWindow:dispose()
	if self.itemList then
		self.itemList:dispose()
		self.itemList = nil
	end
	self:superCall("dispose")
end

function Lua_PeakDuelDivisionWindow:onDivisionInfo(msg)
	if msg == nil then
		return
	end
	self.itemList:setArrayData(msg.region_info)
end




















Lua_PeakDuelDivisionItem = class("Lua_PeakDuelDivisionItem", Lua_ListCell)
function Lua_PeakDuelDivisionItem:ctor(p)
	self:superCall("ctor", p, "PeakDuelDivisionItem_skin")
end

function Lua_PeakDuelDivisionItem:buildShowItem()
	self:superCall("buildShowItem")

	self.btnCheck:addClickFuntion(self, self.onBtnCheckClick)
end

function Lua_PeakDuelDivisionItem:dispose()
	self.data = nil
	self:superCall("dispose")
end

function Lua_PeakDuelDivisionItem:setData(data)
	self.data = data

	self.selfIcon:setEnable(tonumber(data.region_id) == DataCenter.peakDuelData.region_id)
	local config = DataCenter.peakDuelUtil:getDivisionConfig(data.region_show_id)
	self.icon:setAltas(config.atlas, config.sprite)
	self.nameText.text = data.region_name
end

function Lua_PeakDuelDivisionItem:onBtnCheckClick(go)
	if self.data == nil then
		return
	end
	Lua_MsgUtil.callFunc("PEAK_DUEL_DIVISION_SELECT", self.data.region_id)
	Lua_WindowUtil.openWin("Lua_PeakDuelDivisionWindow", Lua_WinParam.ACTION_CLOSE)
end