checkRequire("Lua_PeakDuelUpgradeItem")
Lua_PeakDuelMySchedulePanel = class("Lua_PeakDuelMySchedulePanel", Lua_DisplayObject)
function Lua_PeakDuelMySchedulePanel:ctor(p)
	self:superCall("ctor", p, "PeakDuelMySchedulePanel_skin")
end

function Lua_PeakDuelMySchedulePanel:buildShowItem()
	self:superCall("buildShowItem")
	self:updateAdapt()

	self:addLuaEvent("PEAK_DUEL_INFO", self, self.peakDuelInfo)
	self:addLuaEvent("PEAK_DUEL_HOOK_INFO", self, self.updateHookInfo)
	self:addLuaEvent("PEAK_DUEL_RANK_REWARD", self, self.updateRewardInfo)
	self:addLuaEvent("PEAK_DUEL_BUY_TIMES", self, self.updateTimes)
	self:addLuaEvent("PEAK_DUEL_RANK_LIKE", self, self.onLike)

	self.bgEff = UICreate.createUIEffect(self.onObject, "/effects/uiEffects/dianfengpiaodai", "dianfengpiaodai", 0, -397)
	self.bgEff.siblingIndex = 0;
	self.bgEff.anchorValue = 1;
	self.bgEff:addLuaSpineAniEvtFun(self, self.onBgEffAni);
	self.bgEff:setSpineAniState(1, "show");

	self.hookBar.typeValue = 3
	self.hookBar.fillMethodValue = 4
	self.hookBar.fillOrigin = 0
	self.hookBar.fillAmount = 0
	self.expBar:createSecondBar("peak_duel_altas", "xui_dfs_Progress_1_f2")
	self.warOrderRedPoint = Lua_RedPointIcon.new(self.content, Lua_RedPointList.WarOrder_PeakDuel)
	self.warOrderRedPoint:setRectAnchor(1)
	self.warOrderRedPoint:setLocation(325, -325)

	self.hookRedPoint = Lua_RedPointIcon.new(self.tweenObject_2, Lua_RedPointList.PeakDuel_Hook)
	self.hookRedPoint:setRectAnchor(1)
	self.hookRedPoint:setLocation(37, -590)

	self.matchRedPoint = Lua_RedPointIcon.new(self.tweenObject_4, Lua_RedPointList.PeakDuel_Match)
	self.matchRedPoint:setRectAnchor(7)
	self.matchRedPoint:setLocation(85, 205)

	self.checkHelp:addClickFuntion(self, self.onCheckHelp) --功能描述
	self.checkStore:addClickFuntion(self, self.onCheckStore) -- 段位商店
	self.checkStandings:addClickFuntion(self, self.onCheckStandings) -- 个人战绩
	self.checkReward:addClickFuntion(self, self.onCheckReward) -- 赛季奖励
	self.checkKing:addClickFuntion(self, self.onCheckKing) -- 王者之证

	self.hookIcon_1:addClickFuntion(self, self.onReceiveHookReward) -- 领取挂机奖励
	self.rewardDetails:addClickFuntion(self, self.onRewardDetails) -- 奖励详情
	self.checkRecord:addClickFuntion(self,self.onCheckRecord) -- 战报
	self.timesAdd:addClickFuntion(self, self.onBuyMatchTimes) -- 购买匹配次数

	self.changeLineup:addClickFuntion(self, self.onLineup) -- 阵容调整
	self.btnMatch:addClickFuntion(self, self.onBtnMatchClick) -- 开始匹配

	self.btnLineup:addClickFuntion(self, self.onLineup) -- 阵容调整
	self.btnRecord:addClickFuntion(self, self.onCheckRecord) -- 战报

	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDInfo()
end

function Lua_PeakDuelMySchedulePanel:dispose()
	self:stopTimer()
	DataCenter.preLoadData:removeBySign("Lua_PeakDuelLineupWindow", self, self.onSceneShow)
	if self.bgEff then
		self.bgEff:dispose();
		self.bgEff = nil;
	end
	if self.warOrderRedPoint then
		self.warOrderRedPoint:dispose()
		self.warOrderRedPoint = nil
	end
	if self.hookRedPoint then
		self.hookRedPoint:dispose()
		self.hookRedPoint = nil
	end
	if self.matchRedPoint then
		self.matchRedPoint:dispose()
		self.matchRedPoint = nil
	end
	if self.rewardList then
		self.rewardList:dispose()
		self.rewardList = nil
	end
	if self.upgradeArr then
		self.upgradeArr:dispose()
		self.upgradeArr:clear()
		self.upgradeArr = nil
	end
	if self.topThreeArr then
		self.topThreeArr:dispose()
		self.topThreeArr = nil
	end
	if self.receiveEff then
		self.receiveEff:dispose()
		self.receiveEff = nil
	end
	self.upResultDic = nil
	self:superCall("dispose")
end

function Lua_PeakDuelMySchedulePanel:onScreenResize(adaptHeight)
	self:superCall("onScreenResize", adaptHeight)
	self:updateAdapt()
end

function Lua_PeakDuelMySchedulePanel:updateAdapt()
	if self.adaptHeight < 0 then
		local value = self.adaptHeight / 2
		self.nextLvBg:setLocation(0, 571 + value, 0)
		self.nextLvText:setLocation(0, 571 + value, 0)
		LuaUtil.setObjPos(self.barObject, 0, value, 0)
	else
		self.nextLvBg:setLocation(0, 571, 0)
		self.nextLvText:setLocation(0, 571, 0)
		LuaUtil.setObjPos(self.barObject, 0, 0, 0);
	end
end

function Lua_PeakDuelMySchedulePanel:onBgEffAni(st, aniName, trackIdx, loop, evtName, time)
	-- print("onBgEffAni", st, aniName, trackIdx, loop, evtName, time);
	if st == Lua_SpineEventType.Complete then
		self.bgEff:setSpineAniState(1, "wait");
	end
end

function Lua_PeakDuelMySchedulePanel:peakDuelInfo(msg)
	if msg == nil then
		return
	end

	local star_time = Lua_TimeTransform.transSeconds25(msg.start_tick, false)
	local end_time = Lua_TimeTransform.transSeconds25(msg.end_tick, false)
	self.timeText.text = LanUtil.formateStr(202900, tostring(msg.times), msg.region_name, star_time, end_time)

	--是否是休赛期 1：是 0：不是
	if msg.is_off_season == 0 then
		self.onObject:SetActive(true)
		self.offObject:SetActive(false)

		self.endTime = tonumber(msg.match_end_tick)
		self.timeLangId = 202901

		self:updateMatchStartInfo(msg)
		self:updateHookInfo(msg)
		self:updateTimes()
		self:updateRewardInfo(msg)
	else
		self.onObject:SetActive(false)
		self.offObject:SetActive(true)
		self.rewardDetails:setAltas("peak_duel_altas", "xui_dfs_button_10")
		self:showReceiveEff(false)

		self.endTime = tonumber(msg.end_tick)
		self.timeLangId = 202909

		self.bCheckHookTime = false
		self:updateMatchEndInfo(msg)
		self:showTopThree(msg.top_three_role)
	end

	self.leftTime = self.endTime - DataCenter.roleData.serverTime
	self.leftTimeText.text = LanUtil.formateStr(self.timeLangId, Lua_TimeTransform.transSeconds18(self.leftTime, true, true, true, true))
	if self.leftTime > 0 then
		self.bCheckEndTime = true
		self:startTimer()
	else
		self.bCheckEndTime = false
	end

	self.matchCoolTime = DataCenter.peakDuelData.matchCoolTime
	if self.matchCoolTime > 0 then
		self.bCheckCoolTime = true
		self.matchRedPoint:setEnable(false)
		self.btnMatch:setBtnEnable(false)
		self.promptText.text = LanUtil.formateStr(202932, Lua_TimeTransform.transSeconds6(self.matchCoolTime))
		self:startTimer()
	else
		self.bCheckCoolTime = false
		self.matchRedPoint:setEnable(true)
	end
end

function Lua_PeakDuelMySchedulePanel:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true
		self:addTimer("Lua_PeakDuelMySchedulePanel", 1, self, self.onTimer)
	end
end

function Lua_PeakDuelMySchedulePanel:stopTimer()
	if self.bTimer == true then
		self.bTimer = false
		self:removeTimer(self, self.onTimer)
	end
end

function Lua_PeakDuelMySchedulePanel:onTimer()
	if self.bCheckHookTime ~= true and self.bCheckEndTime ~= true and self.bCheckCoolTime ~= true then
		self:stopTimer()
		return
	end

	if self.bCheckHookTime == true then
		self.hook_time = self.hook_time + 1
		self.hookText_1.text = Lua_TimeTransform.transSeconds6(self.hook_time)
	end

	if self.bCheckEndTime == true then
		self.leftTime = self.endTime - DataCenter.roleData.serverTime
		if self.leftTime > 0 then
			self.leftTimeText.text = LanUtil.formateStr(self.timeLangId, Lua_TimeTransform.transSeconds18(self.leftTime, true, true, true, true))
		else
			self.bCheckEndTime = false
			self.leftTimeText.text = nil
			Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDInfo()
		end
	end

	if self.bCheckCoolTime == true then
		self.matchCoolTime = self.matchCoolTime - 1
		if self.matchCoolTime > 0 then
			self.matchRedPoint:setEnable(false)
			self.promptText.text = LanUtil.formateStr(202932, Lua_TimeTransform.transSeconds6(self.matchCoolTime))
		else
			self.matchRedPoint:setEnable(true)
			self.bCheckCoolTime = false
			self.btnMatch:setBtnEnable(true)
			self.promptText:setLangValue(self.promptLangId)
		end
	end
end

---------- 比赛期
function Lua_PeakDuelMySchedulePanel:updateMatchStartInfo(msg)
	local configData = DataCenter.peakDuelUtil:getSegmentInfoByid(msg.segment_lvl)
	self.segmentName.text = configData.name
	self.segmentIcon:setAltas("peak_duel_altas", configData.icon)
	self.winRateText.text = LanUtil.formateStr(202902, string.format("%.1f", msg.normal_win_rate * 100))
	self.winText.text = LanUtil.formateStr(202903, tostring(msg.max_streak_win))
	if msg.rank == 0 then
		self.myRankText:setLangValue(202907)
	else
		self.myRankText.text = LanUtil.formateStr(202908, tostring(msg.rank))
	end

	if msg.is_upgrade == 1 then -- 是否在进行升段赛 1是 0否
		self.barObject:SetActive(false)
		self.upgradeLabel:setEnable(true)

		local list = configData.upgrade_segment_cond
		self.upgradeLabel.text = LanUtil.formateStr(202910, tostring(list[1]), tostring(list[2]))
		
		self.upResultDic = {} -- key:升段赛的第几场 value:战斗结果 1胜利 0失败
		if msg.upgrade_result then
			local obj
			for i = 1, #msg.upgrade_result do
				obj = msg.upgrade_result[i]
				self.upResultDic[obj.key] = obj.value
			end
		end
		self:showUpgrade(list[1])
	else
		self.barObject:SetActive(true)
		self.upgradeLabel:setEnable(false)
		self.barLabel.text = LanUtil.formateStr(202991, tostring(msg.cache_exp))
		self.expText.text = msg.segment_lvl_exp.."/"..configData.segment_lvl_cond

		self.expBar:setSecondMaxValue(configData.segment_lvl_cond)
	    self.expBar:setSecondValue(msg.segment_lvl_exp)

		self.expBar:setMaxValue(configData.segment_lvl_cond)
		self.expBar:setValue(msg.cache_exp)

		self:showUpgrade(0)
	end

	if configData.team_num <= 1 then
		self.promptLangId = 202911
	else
		self.promptLangId = 202912
	end
	self.promptText:setLangValue(self.promptLangId)

	self.score_limit = configData.score_limit -- 收益上限
	self.sec_score = configData.each_sec_score[2] -- 每分钟产出的积分

	if configData.next_segment_lvl_id and configData.next_segment_lvl_id > 0 then
		configData = DataCenter.peakDuelUtil:getSegmentInfoByid(configData.next_segment_lvl_id)
		self.nextLvText.text = LanUtil.formateStr(202905, configData.name)
	else
		self.nextLvText:setLangValue(202999)
	end
end

function Lua_PeakDuelMySchedulePanel:showUpgrade(dataLen)
	if self.upgradeArr == nil then
		self.upgradeArr = Array()
	end
	local len = self.upgradeArr:getSize()
	local maxLen = dataLen > len and dataLen or len
	local item
	for i = 1, maxLen do
		item = self.upgradeArr[i]
		if i > dataLen then
			if item then
				item:setEnable(false)
			end
		else
			if item == nil then
				item = Lua_PeakDuelUpgradeItem.new(self.tweenObject_4)
				self.upgradeArr:add(item)
			else
				item:setEnable(true)
			end
			item:setRectAnchor(7)
			item:setData(self.upResultDic[i])
		end
	end
	if dataLen > 0 then
		local space = 80
		local w = -(space * dataLen) / 2 + space / 2
		local posX
		for i = 1, dataLen do
			item = self.upgradeArr[i]
			posX = ((i - 1) % dataLen) * space + w
			if self.adaptHeight < 0 then
				item:setLocation(posX, 506 + self.adaptHeight / 2, 0)
			else
				item:setLocation(posX, 506, 0)
			end
		end
	end
end

function Lua_PeakDuelMySchedulePanel:updateHookInfo(msg)
	if DataCenter.peakDuelData.is_off_season == 1 then
		self.bCheckHookTime = false
		return
	end

	self.hook_time = tonumber(msg.offline_duration) -- 开始挂机时长
	local value = msg.offline_score_profit / self.score_limit
	if value >= 1 then
		self.hookBar:setAltas("peak_duel_altas", "xui_dfs_widget_25");
	elseif value >= DataCenter.peakDuelUtil.hook_limit_per then
		self.hookBar:setAltas("peak_duel_altas", "xui_dfs_widget_24");
	else
		self.hookBar:setAltas("peak_duel_altas", "xui_dfs_widget_23");
	end
	self.hookBar.fillAmount = value
	self.hookText_1.text = Lua_TimeTransform.transSeconds6(self.hook_time)
	self.hookText_2.text = LanUtil.formateStr(202904, tostring(self.sec_score))
	self.hookText_3.text = LanUtil.formateStr(10044, tostring(msg.offline_score_profit), tostring(self.score_limit))
	if msg.offline_score_profit >= self.score_limit then
		self.bCheckHookTime = false
	else
		self.bCheckHookTime = true
		self:startTimer()
	end
end

function Lua_PeakDuelMySchedulePanel:updateTimes()
	local left_buy_times = DataCenter.peakDuelData.left_buy_times
	local left_match_times = DataCenter.peakDuelData.left_match_times
	local match_times = DataCenter.peakDuelUtil.match_times

	self.timesAdd:setGray(left_buy_times == 0)
	self.timesAdd.mouseEnable = left_buy_times > 0
	
	self.timesText.text = LanUtil.formateStr(202913, tostring(left_match_times), tostring(match_times))
	self.timesBuyText.text = LanUtil.formateStr(202914, tostring(left_buy_times))
end

function Lua_PeakDuelMySchedulePanel:updateRewardInfo(msg)
	local config = DataCenter.peakDuelUtil:getSegmentInfoByid(msg.segment_reward_id)
	if self.rewardList == nil then
		self.rewardList = Lua_ItemIconList.new(self.tweenObject_4)
		self.rewardList:setRectAnchor(7)
		self.rewardList:setLocation(-290, 303.5, 0)
		self.rewardList.pivot = 1
		self.rewardList.scaleVal = 0.75
		self.rewardList.canClick = true
	end
	self.rewardList:setArrayData(config.segment_lvl_reward)

	self.rewardText.text = LanUtil.formateStr(202906, config.name)
	if msg.segment_reward_state == 1 then
		self.rewardDetails:setAltas("peak_duel_altas", "xui_dfs_button_10_S")
		self:showReceiveEff(true)
	else
		self.rewardDetails:setAltas("peak_duel_altas", "xui_dfs_button_10")
		self:showReceiveEff(false)
	end
end

function Lua_PeakDuelMySchedulePanel:showReceiveEff(bValue)
	if bValue then
		if self.receiveEff == nil then
			self.receiveEff = UICreate.createUIEffect(self.tweenObject_4, "/effects/uiEffects/ui_dfdj_jllq", "ui_dfdj_jllq", 258.5, 303.5)
			self.receiveEff.anchorValue = 7
		else
			self.receiveEff:setEnable(true)
		end
	else
		if self.receiveEff then
			self.receiveEff:setEnable(false)
		end
	end
end

---------- 休赛期
function Lua_PeakDuelMySchedulePanel:updateMatchEndInfo(msg)
	if msg.rank == 0 then
		self.maxRankText:setLangValue(202916)
	else
		self.maxRankText.text = LanUtil.formateStr(202917, tostring(msg.rank))
	end
	
	local configData = DataCenter.peakDuelUtil:getSegmentInfoByid(msg.segment_lvl)
	self.curText.text = configData.name
	self.curIcon:setAltas("peak_duel_altas", configData.icon)

	configData = DataCenter.peakDuelUtil:getSegmentInfoByid(configData.reset_segment_lvl_id)
	self.nextIcon:setAltas("peak_duel_altas", configData.icon)
	self.nextText.text = configData.name
end

function Lua_PeakDuelMySchedulePanel:showTopThree(list)
	if self.topThreeArr == nil then
		self.topThreeArr = Array()
	end
	local posDic = {{3, -15}, {-235, -2}, {232, -2}}
	local item
	for i = 1, 3 do
		item = self.topThreeArr[i]
		if item == nil then
			item = Lua_PeakDuelModelItem.new(self.offObject)
			item:setSiblingIndex(i - 1)
			self.topThreeArr:add(item)
		end
		if list == nil or #list < i then
			item:setData(i, nil)
		else
			item:setData(i, list[i])
		end
		item:setLocation(posDic[i][1], posDic[i][2], 0)
	end
end

function Lua_PeakDuelMySchedulePanel:onLike(data)
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDLike(data.show_role.id, DataCenter.peakDuelData.region_id, DataCenter.peakDuelData.times, data.score)
end

function Lua_PeakDuelMySchedulePanel:onCheckHelp(go)
	local tipsData = { des = 202937, posX = 150, posY = -280 }
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData)
end

function Lua_PeakDuelMySchedulePanel:onCheckStore(go)
	DataCenter.funcPathUtil:gotoFunction(1065)
end

function Lua_PeakDuelMySchedulePanel:onCheckStandings(go)
	local param = { regionId = DataCenter.peakDuelData.region_id, roleId = DataCenter.roleData.roleId, serverFlag = DataCenter.roleData.server_flag }
	Lua_WindowUtil.openWin("Lua_PeakDuelStandingsWindow", Lua_WinParam.ACTION_OPEN, param)
end

function Lua_PeakDuelMySchedulePanel:onCheckReward(go)
	Lua_WindowUtil.openWin("Lua_PeakDuelRewardWindow", Lua_WinParam.ACTION_OPEN, 2)
end

function Lua_PeakDuelMySchedulePanel:onCheckKing(go)
	DataCenter.funcPathUtil:gotoFunction(1023)
end

function Lua_PeakDuelMySchedulePanel:onReceiveHookReward(go)
	if self.hook_time <= 60 then
		OperateAlert.showLangValue(202990)
		return
	end
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDHook()
end

function Lua_PeakDuelMySchedulePanel:onRewardDetails(go)
	if DataCenter.peakDuelData.segment_reward_state == 1 then
		Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDDanReward()
	else
		Lua_WindowUtil.openWin("Lua_PeakDuelRewardWindow", Lua_WinParam.ACTION_OPEN, 1)
	end
end

function Lua_PeakDuelMySchedulePanel:onBuyMatchTimes(go)
	local buy_time = DataCenter.peakDuelData.buy_times
	local configData = DataCenter.peakDuelUtil:getMatchTimesConfig(buy_time + 1)
	self.matchTimesCost = configData.json_value

	local tipsData = {
		des = LanUtil.formateStr(202915, self.matchTimesCost[1][2]), btnType = 1, owner = self, sureFun = self.onSureBuyMatch
	}
	Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_OPEN, tipsData)
end

function Lua_PeakDuelMySchedulePanel:onSureBuyMatch()
	local costId = DataCenter.packData:checkConsumeEnough(self.matchTimesCost)
	if costId == nil then
		Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDBuyTimes()
	else
		DataCenter.packUtil:openPathWindow(costId, false)
	end
end

function Lua_PeakDuelMySchedulePanel:onLineup(go)
	local sceneId = DataCenter.heroLineupData:getLineUpSceneId(Lua_HeroUtil.LINEUP_PEAKDUEL)
	DataCenter.preLoadData:preShowScene("Lua_PeakDuelLineupWindow", Lua_PreLoadDefine.LOADSHOW_TYPE_NONE, self, self.onSceneShow, nil, sceneId, 0)
end

function Lua_PeakDuelMySchedulePanel:onSceneShow(param, mp, success)
	if not success then return; end
	Lua_WindowUtil.openWin("Lua_PeakDuelLineupWindow", Lua_WinParam.ACTION_OPEN)
end

function Lua_PeakDuelMySchedulePanel:onCheckRecord()
	Lua_WindowUtil.openWin("Lua_PeakDuelFightRecordWindow", Lua_WinParam.ACTION_OPEN)
end

function Lua_PeakDuelMySchedulePanel:onBtnMatchClick(go)
	local recordId = DataCenter.fightData:getRecordIdByTemplateId(Lua_FightDefine.TEMPLATE_ID_PEAKDUEL)
	if recordId > 0 then
		DataCenter.fightData:showFightToStageByRid(recordId)
		return
	end
	Lua_WindowUtil.openWin("Lua_PeakDuelMatchWindow", Lua_WinParam.ACTION_OPEN)
	self.matchRedPoint:clickHandler()
end










Lua_PeakDuelModelItem = class("Lua_PeakDuelModelItem", Lua_DisplayObject)
function Lua_PeakDuelModelItem:ctor(p)
	self:superCall("ctor", p, "PeakDuelModelItem_skin")
end

function Lua_PeakDuelModelItem:buildShowItem()
	self:superCall("buildShowItem")
	self:addLuaEvent("PEAK_DUEL_RANK_UPDATE", self, self.updateData)
	self.btnLike:addClickFuntion(self, self.onLikeClick)
	self.clickArea:addClickFuntion(self, self.onClick)
end

function Lua_PeakDuelModelItem:dispose()
	if self.redPoint then
		self.redPoint:dispose()
		self.redPoint = nil
	end
	self.data = nil
	self:superCall("dispose")
end

function Lua_PeakDuelModelItem:setData(rank, data)
	self.data = data

	if rank == 1 then
		self.titleIcon:setAltas("role_title_1", "304000014")
		self.titleIcon:setLocation(0, 430, 0)
		self.rankIcon:setAltas("championship_1", "xui_jys_label_17")
		self.clickArea:SetDimensions(200, 360)
		self.clickArea:setLocation(0, 225, 0)
	elseif rank == 2 then
		self.titleIcon:setAltas("role_title_1", "304000015")
		self.titleIcon:setLocation(0, 380, 0)
		self.rankIcon:setAltas("championship_1", "xui_jys_label_18")
		self.clickArea:SetDimensions(200, 330)
		self.clickArea:setLocation(0, 200, 0)
	else
		self.titleIcon:setAltas("role_title_1", "304000016")
		self.titleIcon:setLocation(0, 380, 0)
		self.rankIcon:setAltas("championship_1", "xui_jys_label_19")
		self.clickArea:SetDimensions(200, 330)
		self.clickArea:setLocation(0, 200, 0)
	end

	self:updateData()
end

function Lua_PeakDuelModelItem:updateData(msg)
	if self.data == nil then
		self.nameText:setLangValue(540016)
		self.btnLike:setEnable(false)
		self.likeCount:setEnable(false)
		self:showRedPoint(false)
	else
		if msg and msg.role_info and msg.role_info.role_id == self.data.role_id then
			self.data = msg.role_info;
		end
		self.nameText.text = self.data.show_role.name
		self.btnLike:setEnable(true)
		self.likeCount:setEnable(true)
		self.likeCount.text = self.data.praise_num
		if DataCenter.roleData:isMyself(self.data.show_role.id) then
			self:showRedPoint(false)
		else
			self:showRedPoint(self.data.is_praised == 0 and DataCenter.peakDuelData.left_praise_times > 0)
		end
	end
end

function Lua_PeakDuelModelItem:showRedPoint(value)
	if value then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content)
			self.redPoint:setLocation(68, -78)
			self.redPoint:createRedPointImg()
		end
		self.redPoint:updateRedPointShow(true)
	else
		if self.redPoint then
			self.redPoint:updateRedPointShow(false)
		end
	end
end

function Lua_PeakDuelModelItem:onLikeClick(go)
	if self.data == nil then
		return
	end
	if self.data.is_praised == 1 then
		OperateAlert.showLangValue(540017)
		return
	end
	Lua_MsgUtil.callFunc("PEAK_DUEL_RANK_LIKE", self.data)
end

function Lua_PeakDuelModelItem:onClick(go)
	if self.data == nil then
		return
	end
	if self.data.is_robot == 1 then
		OperateAlert.showLangValue(123657);
		return;
	end
	if DataCenter.roleData:isMyself(self.data.show_role.id) then
		OperateAlert.showLangValue(123656)
		return
	end
	Lua_ProxyManager.getProxy("Lua_RoleProxy"):sOtherRoleId(self.data.show_role.id, self.data.show_role.server_flag)
end