-- 巅峰对决奖励预览
Lua_PeakDuelRewardWindow = class("Lua_PeakDuelRewardWindow", Lua_Window)
function Lua_PeakDuelRewardWindow:ctor()
    self:superCall("ctor")

    self.windowName = "Lua_PeakDuelRewardWindow"
    self.skinName = "PeakDuelRewardWindow_skin"
    self.showBlackMask = true
    self.isClickClose = true
end

function Lua_PeakDuelRewardWindow:buildShowItem()
    self:superCall("buildShowItem")

    self.itemList = Lua_DragList.new(self.content, 630, 600, Lua_AxisDefine.Vertical)
    self.itemList:setRectPivot(1)
    self.itemList:setLocation(0, 260, 0)
    self.itemList:setListCell(Lua_PeakDuelRewardItem, 630, 145, 1)
    self.itemList:setCellSpacing(0, 5)

    self.btnInfo =  Array()
    self.btnInfo:add(202938)
    self.btnInfo:add(202939)
    self.btnInfo:add(202940)

    self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal)
    self.buttonList:setLocation(0, -439, 0)
    self.buttonList:setButtonCell(Lua_CommonButtonItem2)
    self.buttonList:setButtonItem(160, 67)
    self.buttonList:setClickCallBack(self, self.onButtonClick)
    self.buttonList:setData(self.btnInfo)
end

function Lua_PeakDuelRewardWindow:dispose()
    if self.itemList then
        self.itemList:dispose()
        self.itemList = nil
    end
    if self.rList then
        self.rList:dispose()
        self.rList = nil
    end
    if self.buttonList then
        self.buttonList:dispose()
        self.buttonList = nil
    end
    if self.btnInfo then
        self.btnInfo:clear()
        self.btnInfo = nil
    end
    self:superCall("dispose")
end

function Lua_PeakDuelRewardWindow:showWin(param)
    self:superCall("showWin", param)
    self.buttonList:setSelected(param)
end

function Lua_PeakDuelRewardWindow:onButtonClick(index, data)
    self.titleName:setLangValue(data)
    self.selfObject:SetActive(index ~= 1)

    local arr
    if index == 1 then
        self.rewardLabel:setLangValue(202941)
        self.desLabel:setLangValue(202943)
        self.rewardBg:SetDimensions(646, 615)
        self.itemList:setContentRect(630, 590, false)
        arr = DataCenter.peakDuelUtil:getFirstPassRewards()
    elseif index == 2 then
        self.rewardLabel:setLangValue(202941)
        self.desLabel:setLangValue(202944)
        self.rewardBg:SetDimensions(646, 463)
        self.itemList:setContentRect(630, 440, false)
        arr = DataCenter.peakDuelUtil:getRankRewards()
    else
        self.rewardLabel:setLangValue(202942)
        self.desLabel:setLangValue(202945)
        self.rewardBg:SetDimensions(646, 463)
        self.itemList:setContentRect(630, 440, false)
        arr = DataCenter.peakDuelUtil:getHookRewards()
    end
    self.itemList:setArrayData(arr)
    self.itemList:moveToIndex(1, true)

    self:updateSelfReward(arr)
end

function Lua_PeakDuelRewardWindow:updateSelfReward(arr)
    local segmentLvl = DataCenter.peakDuelData.segmentLvl
    local configData = DataCenter.peakDuelUtil:getSegmentInfoByid(segmentLvl)
    self.levelText.text = configData.name

    local rewards
    for i = 1, arr:getSize() do
        if arr[i].id == segmentLvl then
            rewards = arr[i].rewards
            break
        end
    end
    if self.rList == nil then
        self.rList = Lua_ItemIconList.new(self.selfObject)
        self.rList:setLocation(100, -280, 0)
        self.rList.scaleVal = 0.75
        self.rList.canClick = true
    end
    self.rList:setArrayData(rewards)
end




















Lua_PeakDuelRewardItem = class("Lua_PeakDuelRewardItem", Lua_ListCell)
function Lua_PeakDuelRewardItem:ctor(p)
    self:superCall("ctor", p, "PeakDuelRewardItem_skin")
end

function Lua_PeakDuelRewardItem:buildShowItem()
    self:superCall("buildShowItem")

    self.rList = Lua_ItemIconList.new(self.content)
    self.rList:setLocation(100, 0, 0)
    self.rList.scaleVal = 0.75
end

function Lua_PeakDuelRewardItem:dispose()
    if self.rList then
        self.rList:dispose()
        self.rList = nil
    end
    self:superCall("dispose")
end

function Lua_PeakDuelRewardItem:setData(data)
    local configData = DataCenter.peakDuelUtil:getSegmentInfoByid(data.id)
    self.lvIcon:setAltas("peak_duel_altas", configData.icon)
    self.levelText.text = configData.name

    self.rList:setArrayData(data.rewards)
end

function Lua_PeakDuelRewardItem:onPressClick()
    self.rList:onBoundClick()
end