-- 个人战绩
checkRequire("Lua_MenuPopListData")
Lua_PeakDuelStandingsWindow = class("Lua_PeakDuelStandingsWindow", Lua_Window)
function Lua_PeakDuelStandingsWindow:ctor()
self:superCall("ctor")

	self.windowName = "Lua_PeakDuelStandingsWindow"
	self.skinName = "PeakDuelStandingsWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_PeakDuelStandingsWindow:buildShowItem()
	self:superCall("buildShowItem")
	self:addLuaEvent("PEAK_DUEL_RANK_SEASON", self, self.onSeasonInfo)
	self:addLuaEvent("PEAK_DUEL_PERSONALRECORD", self, self.onRecordInfo)

	self.maxTimesIdx = 1
	self.curTimesIdx = self.maxTimesIdx
	self.btnShare:setEnable(false)

	self.tabInfo = Array()
	self.tabInfo:add(202928)
	self.tabInfo:add(202929)

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal)
	self.buttonList:setLocation(0, 256.5, 0)
	self.buttonList:setButtonCell(Lua_PeakDuelStandingsBtnItem)
	self.buttonList:setButtonItem(155, 52)
	self.buttonList:setClickCallBack(self, self.onTabBtnClick)
	self.buttonList:setData(self.tabInfo)

	self.btnLeft:addClickFuntion(self, self.onLeftClick)
	self.btnRight:addClickFuntion(self, self.onRightClick)
	self.btnShare:addClickFuntion(self, self.onShareClick)
end

function Lua_PeakDuelStandingsWindow:dispose()
	if self.buttonList then
		self.buttonList:dispose()
		self.buttonList = nil
	end
	if self.tabInfo then
		self.tabInfo:clear()
		self.tabInfo = nil
	end
	if self.itemIcon then
		self.itemIcon:dispose()
		self.itemIcon = nil
	end
	if self.avatarItem then
		self.avatarItem:dispose()
		self.avatarItem = nil
	end
	self:superCall("dispose")
end

function Lua_PeakDuelStandingsWindow:showWin(param)
	self:superCall("showWin", param)
	if param.bChat == true then
		self.winBg:SetDimensions(684, 665)
		self.line_6:setEnable(false)
		self.btnShare:setEnable(false)
	else
		self.winBg:SetDimensions(684, 785)
		self.line_6:setEnable(true)
		self.btnShare:setEnable(true)
	end
	self.buttonList:setSelected(1)
end

function Lua_PeakDuelStandingsWindow:onTabBtnClick(index, data)
	self.btnLeft:setEnable(index == 2)
	self.btnRight:setEnable(index == 2)

	if index == 1 then
		self.seasonText:setLangValue(202928)
		Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDStandings(1, DataCenter.peakDuelData.times, self.showData.roleId, self.showData.regionId, self.showData.serverFlag)
	else
		self.seasonText.text = nil
		Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sSeason(self.showData.regionId)
	end
end

function Lua_PeakDuelStandingsWindow:onSeasonInfo(msg)
	if msg == nil then
		return
	end

	self.times_list = msg.times_list
	self.maxTimesIdx = #self.times_list
	self.curTimesIdx = self.maxTimesIdx

	local times = self.times_list[self.curTimesIdx]
	self.seasonText.text = LanUtil.formateStr(202947, tostring(times))
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDStandings(2, times, self.showData.roleId, self.showData.regionId, self.showData.serverFlag)
end

function Lua_PeakDuelStandingsWindow:onRecordInfo(msg)
	if msg == nil then
		return
	end

	local configData = DataCenter.peakDuelUtil:getSegmentInfoByid(msg.standing_info.segment_lvl)
	if configData then
		self.segment_lvl.text = LanUtil.formateStr(202918, configData.name)
	else
		self.segment_lvl.text = nil
	end

	if msg.standing_info.his_segment_lvl > 0 then
		configData = DataCenter.peakDuelUtil:getSegmentInfoByid(msg.standing_info.his_segment_lvl)
		self.his_segment_lvl.text = LanUtil.formateStr(202920, configData.name)
	else
		self.his_segment_lvl:setLangValue(202963)
	end
	self.region_name.text = LanUtil.formateStr(202922, msg.standing_info.region_name)
	self.win_times.text = LanUtil.formateStr(202924, tostring(msg.standing_info.win_times))
	self.max_damage.text = LanUtil.formateStr(202926, tostring(msg.standing_info.max_damage))

	self.score.text = LanUtil.formateStr(202919, tostring(msg.standing_info.score))
	self.his_score.text = LanUtil.formateStr(202921, tostring(msg.standing_info.his_score))
	if msg.standing_info.rank <= 0 then
		self.rank.text = LanUtil.formateStr(202923, LanUtil.getValue(20))
	else
		self.rank.text = LanUtil.formateStr(202923, tostring(msg.standing_info.rank))
	end
	self.win_rate.text = LanUtil.formateStr(202925, string.format("%.1f", msg.standing_info.win_rate * 100))
	self.max_winning_streak.text = LanUtil.formateStr(202927, tostring(msg.standing_info.max_winning_streak))

	local info = msg.standing_info.mvp_hero_uid
	if info == nil or tonumber(info.hero_id) <= 0 then
		self.mvpName:setLangValue(202946)
		if self.itemIcon then
			self.itemIcon:setEnable(false)
		end
	else
		local heroVo = Lua_HeroVo.new(info.hero_id)
		heroVo:fromServer(info)
		if self.itemIcon == nil then
			self.itemIcon = Lua_ItemIcon.new(self.content)
			self.itemIcon:setScale(0.9, 0.9, 1)
			self.itemIcon:setLocation(-230, -150, 0)
			self.itemIcon:setCanClick(true)
		end
		self.itemIcon:setEnable(true)
		self.itemIcon:setData(heroVo)
		self.mvpName.text = heroVo.name
	end
	
	local role = msg.standing_info.rival.show_role
	if role == nil or tonumber(role.id) <= 0 then
		self.rivalName:setLangValue(202946)
		self.rivalObject:SetActive(false)
	else
		self.rivalName.text = role.name
		self.rivalObject:SetActive(true)
		if self.avatarItem == nil then
			self.avatarItem = Lua_AvatarItem.new(self.rivalObject)
			self.avatarItem:setScale(0.9, 0.9, 1)
			self.avatarItem:setLocation(75, -150, 0)
		end
		self.avatarItem:setRoleId(role.id, role.server_flag, msg.standing_info.rival.is_robot)
		self.avatarItem:setRoleDressUp(role.dress_info)
		self.force_1.text = msg.standing_info.rival.a_force
		self.force_2.text = msg.standing_info.rival.b_force
	end
end

function Lua_PeakDuelStandingsWindow:onLeftClick(go)
	if self.curTimesIdx <= 1 then
		OperateAlert.showLangValue(202948)
		return
	end
	self.curTimesIdx = self.curTimesIdx - 1

	local times = self.times_list[self.curTimesIdx]
	self.seasonText.text = LanUtil.formateStr(202947, tostring(times))
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDStandings(2, times, self.showData.roleId, self.showData.regionId, self.showData.serverFlag)
end

function Lua_PeakDuelStandingsWindow:onRightClick(go)
	if self.curTimesIdx >= self.maxTimesIdx then
		OperateAlert.showLangValue(202948)
		return
	end
	self.curTimesIdx = self.curTimesIdx + 1

	local times = self.times_list[self.curTimesIdx]
	self.seasonText.text = LanUtil.formateStr(202947, tostring(times))
	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDStandings(2, times, self.showData.roleId, self.showData.regionId, self.showData.serverFlag)
end

function Lua_PeakDuelStandingsWindow:onShareClick(go)
	local params = { region_id = self.showData.regionId, standings_type = 1 }

	local menu = Array()
	menu:add(Lua_MenuPopListData.new(Lua_MenuPopListData.PD_SHARE_WORLD, params))
	menu:add(Lua_MenuPopListData.new(Lua_MenuPopListData.PD_SHARE_ALLIANCE, params))
	-- menu:add(Lua_MenuPopListData.new(Lua_MenuPopListData.PD_SHARE_CORSS_SERVER, params))

	Lua_WindowUtil.openWin("Lua_MenuPopListWindow", Lua_WinParam.ACTION_OPEN, { posX = 145, posY = -270, menu = menu })
end










Lua_PeakDuelStandingsBtnItem = class("Lua_PeakDuelStandingsBtnItem", Lua_ButtonCell)
function Lua_PeakDuelStandingsBtnItem:ctor(p)
	self:superCall("ctor", p)
end

function Lua_PeakDuelStandingsBtnItem:buildShowItem()
	self:superCall("buildShowItem")

	self.nameBg = UICreate.createUIAtlasImage(self.content, "peak_duel_altas", "xui_jmd_button_015", 0, 0, 0, 0)
	self.nameBg:addClickFuntion(self, self.onPressClick)

	self.nameText = UICreate.createLabel(self.content, nil, 0, 3, 100, 31, 28)
	self.nameText.pivotValue = 4
	self.nameText.alignmentValue = 4
	self.nameText.horizontalOverflowValue = 1
	self.nameText.verticalOverflowValue = 1
	self.nameText.fontName = Lua_MyUISettings.huakangFontName
end

function Lua_PeakDuelStandingsBtnItem:dispose()
	self:superCall("dispose")
end

function Lua_PeakDuelStandingsBtnItem:setData(data)
	if type(data) == type_str_number then
		self.nameText:setLangValue(data)
	else
		self.nameText.text = data
	end
end

function Lua_PeakDuelStandingsBtnItem:setSelected(index)
	if index == self.index then -- 选中
		self.nameBg.alpha = 1
		self.nameText.colorStr = Lua_ColorDefine.transColor("8F5123")
	else
		self.nameBg.alpha = 0.01
		self.nameText.colorStr = Lua_ColorDefine.transColor("695D58")
	end
end